#include "ship_type.h"

const ShipType ShipType::types[] = {
  {
    /* 
     * Besides running a wicked corporatist regime in the sirius system,
     * Sirius corporation make a range of lovely ships!
     */
    "Sirius Interdictor", 10,
    { 250, -250, 50, -50, -50, 50 },
    2000.0,
    {
      { vector3f(0, -0.5, 0), vector3f(0, 0, -1) },
      { vector3f(0, 0, 0), vector3f(0, 0, 1) }
    },
    { 1, 2, 0 },
    100, 20,
  },
  {
    /*
     * I should outsource name choosing, or this happens..
     */
    "Ladybird Starfighter",
    13,
    { 250, -250, 50, -50, -50, 50 },
    500.0,
    {
      { vector3f(0, -0.5, 0), vector3f(0, 0, -1) },
      { vector3f(0, 0, 0), vector3f(0, 0, 1) }
    },
    { 1, 1, 0 },
    60, 15,
  },
  {
    "Flowerfairy Heavy Trader",
    14,
    { 250, -250, 50, -50, -50, 50 },
    500.0,
    {
      { vector3f(0, -0.5, 0), vector3f(0, 0, -1) },
      { vector3f(0, 0, 0),    vector3f(0, 0,  1) }
    },
    { 1, 2, 0 },
    500, 125,
  }
};

const EquipType EquipType::types[] = {
  { 
    "None",
    Equip::SLOT_ENGINE,
    0, 0
  },
  {
    "Interplanetary Drive",
    Equip::SLOT_ENGINE,
    1, 0
  },
  {
    "Class 1 Hyperdrive",
    Equip::SLOT_ENGINE,
    4, 1
  },
  {
    "1MW beam laser",
    Equip::SLOT_LASER,
    1, 1
  }
};

